Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 68 reacties
Bron: Postbank4all.tk

Op de site van Postbank4all.tk is een bericht verschenen dat het met Mozilla onder Linux wŤl mogelijk is om van het Postbank internetbankieren gebruik te maken in tegenstelling tot eerdere berichten. De site heeft al een petitie lopen tegen het feit dat internetbankieren van de Postbank tot nu toe Windows-only is. In het bericht wordt uitgelegd hoe men onder Linux toch gebruik kan maken van Postbank internetbankieren: Mozilla 1.4.1, Epiphany of Galeon als browser, en Sun's Java 2 (versie 1.4.2_01).

Postbank LeeuwEr wordt verder bij het gebruik van Mozilla geadviseerd om een bestaande Mozilla-installatie te verwijderen zodat er een 'verse' installatie gedaan kan worden. Na het uitvoeren van enkele commando's om de Java-plugin voor Mozilla correct te installeren zou het Postbank internetbankieren ook onder Linux moeten lukken volgens het bericht.

Moderatie-faq Wijzig weergave

Reacties (68)

het probleem is gevonden mensen....


postbank zet hun inlog applet op 0x0 pixels en dat mag niet van JAVA.
als ze het op 1x1 pixels zetten werkt het wel (is al geprobeerd door vershillende mensen)


EDIT: wel erg kortzichtig om hier dan een beetje Linux te gaan zitten afzeiken. op dezelfde manier kan je ook windows afzeiken omdat ze iets toestaan wat volgens JAVA niet mag... Kortom: denk eerst even na voor je je eigen kortzichtigheid zo duidelijk aan de wereld laat zien....
Nou dacht ik ergens gelezen te hebben dat Sun-Java gebruikt wordt onder windows, dus is het niet windows of Microsoft die dat toestaat, maar Sun.

Dus dezelfde kortzichtigheid die jij vind dat mensen hebben die hierom Linux afzeiken, geldt dan ook voor de mensen die hierom Windows of Microsoft afzeiken.
klopt

het item gaat over linux/mozilla en postbank. vandaar mijn referentie naar linux

bottom line is gewoon dat de postbak iets doet dat niet mag in JAVA. dat moeten ze fixen.

windows is 'schuldig' omdat de JVM van IE dit wel toestaat
Ook zonder instellingen te veranderen werkt het al onder linux op veel systemen, dus die tips staan er meer voor het geval dat het niet werkt. Het is dus niet zo dat je altijd al die dingen moet aanpassen om het werkend te krijgen...
O ja, dus je moet je configuratie van je systeem veranderen om internet bankieren onder een ander OS dan windows te gebruiken.Ik vind het nog steeds schandalig! Waarom kunnen ze zich gewoon niet aan de W3C standaarden houden en op die manier het internet bankieren compleet OS en browser onafhankelijk maken?
klinkt als een klok, klepel verhaal van je. Het probleem zit hem blijkbaar eerder in de wat brakkere java implentatie onder linux. En dat kan kloppen, zijn wel meer mensen die last hebben om de VM goed aan de gang te krijgen incombo met linux.

Maar aan de andere kant, het is linux dus de kans dat een 'simpele' thuisgebruiker het draait is klein, en de echte tweakert draait zijn handje toch niet om voor een beetje config tweakeren onder linux???
Maar aan de andere kant, het is linux dus de kans dat een 'simpele' thuisgebruiker het draait is klein, en de echte tweakert draait zijn handje toch niet om voor een beetje config tweakeren onder linux???
Daar gaat het niet om: er zijn genoeg mensen die over willen stappen naar Linux, maar het niet durven omdat ze alleen maar verhalen horen over programma's die het niet (meer) doen onder Linux. Neem bijvoorbeeld de belastingaangifte en (dus ook) het telebankieren.
Zo blijft Linux voor de gewone thuisgebruiker onbereikbaar...
Zolang de gebruikersvriendelijkheid van Linux niet beter wordt zal het voor thuisgebruikers toch nooit wat worden.
Inconsistenties in de interface, programma's die er allemaal anders uitzien (geen duidelijke lijn in de presentatie van applicatiers) en lastige installatie/uninstall procedures (zowel applicaties als drivers), het zijn allemaal aspecten die Linux niet bepaald gebruikersvriendelijk maken.
Zolang hier niet hard aan gewerkt wordt zal het voor de doorsnee thuisgebruiker nooit wat worden, Windows is gewoon vele malen eenvoudiger in gebruik.

Linux heeft zeker potentie, maar wil het echt een bedreiging voor Windows op de desktop worden, dan moet er nog heel veel gebeuren.
Inconsistenties in de interface, programma's die er allemaal anders uitzien (geen duidelijke lijn in de presentatie van applicatiers) en lastige installatie/uninstall procedures (zowel applicaties als drivers), het zijn allemaal aspecten die Linux niet bepaald gebruikersvriendelijk maken.
Deze argumenten worden zo vaak aangehaald, maar heel veel kloppen er niet (meer). Mijn linux-desktop (GNOME) is veel consistenter dan ik ooit onder windows heb gehad. Ik gebruik alleen maar GTK+ programma's en dat sluit goed op elkaar aan.
Nieuwe software installeren is bij mij een eitje. Ik hoef alleen maar een pakket aan te klikken en het wordt allemaal op dezelfde manier geinstalleerd.

Ik werk bij een helpdesk. Er zijn erg veel windowsgebruikers die zelf hun systeem ook niet kunnen onderhouden. Vooral niet als het om drivers e.d. gaat.
Inconsistenties in de interface, programma's die er allemaal anders uitzien (geen duidelijke lijn in de presentatie van applicatiers) en lastige installatie/uninstall procedures (zowel applicaties als drivers), het zijn allemaal aspecten die Linux niet bepaald gebruikersvriendelijk maken.
Als ontwikkelaar van zowel kernel als desktop (GNOME) wil ik hier heel duidelijk op reageren: G E L U L. Krab die blindheid uit je ogen en hou deze leugens voor je.

Een modern Java Desktop System, Suse of Red Hat systeem is prima te gebruiken (note voor de oplettende lezer: gebruiken != installeren) voor end users, zeker met Ximian Desktop geinstalleerd.
Schmoove:

Al eens Linux gebruikt? Waarschijnlijk niet. :?

Ooit van apt-get gehoord? Vele malen makkelijker dan 400 sites door te moeten spitten voor al mijn applicatie-updates.

Geen ellendige tabellen en website-navigatie-mechanismen waar ik de juiste drivers moet vinden.

En dan heb ik het niet eens over rpm-get, Yast, Red Carpet en andere automatische installatie en update-mechanismen, waar ik tenminste al mijn updates onder 1 dak heb.
Wie garandeerd dat als je je aan de W3C-standaard houdt alles wel cross platform werkt? Dan zullen toch eerst alle browsers W3C-compatible zijn, en ik heb zo'n vermoeden dat IE dat bijv niet is, maar ook andere browsers zullen ongewijfeld her en der nog wel steekjes of steken laten vallen.
Als een site zich aan de standaard houdt en het werkt niet in bepaalde browsers dan moet de browser zich aanpassen. Op dat moment heeft de site alles gedaan dat het kon om voor iedereen zichtbaar te zijn (zo niet: gebruik een browser die de standaarden wel juist implementeert (of toch het grootste deel waardoor alles werkt)).
Waarom zou een bank internetbankieren onbruikbaar maken voor het grootste gedeelte van hun klanten?
Dat hoeft toch niet? Er zijn genoeg vormen van internetbanking die wel werken, zowel onder internet explorer als onder mozilla als onder firebird en firefox (hier getest met fortis en ING - beiden belgisch)

Zl.
EDIT: reactie op Abom
ING Belgisch? Dat is toch echt Ne'erlands grootste financiŽle instelling!
Het lijkt erop dat de web-ontwikkelaars in Belgie meer genegen zijn om zich aan de web-standaarden te conformeren (of in elk geval er voor zorgen dat het in [vrijwel] alle browsers werkt).

Hoewel Rabo internet-bankieren wel werkt onder andere browsers krijg je als je voor het eerst op hun site komt nog ff de opmerking dat je beter kunt upgraden naar IE. [Alsof dat een verstandige zet zou zijn... |:(]

* 786562 Little
Vrij simpel, bij het huidige girotel-online maken ze gebruik van java-applets die lopen onder de sun-java. De installatie van de plugin is exact hetzelfde zoals beschreven op http://plugindoc.mozdev.org voor java. Alleen wil dit blijkbaar nog niet onder alle versies.

Het zal redelijk voldoen aan de standaarden alleen de postbank durft het niet te supporten, waar andere banken dat wel doen.
Binnenkort zal er dan ook wel weer op de site komen dat het werkt met een bepaalde redhat-versie, mozilla en sun-java, net als met girotel-online het geval was.

edit:
Oef, wat een heet hangijzer bij tweakers, dat postbank-bankieren gezien het aantal reacties in zo'n korte tijd...
Je moet inderdaad je configuratie aanpassen, maar onder Linux heb ik daar niet zo heel veel problemen mee gehad. Ik heb Mozilla en Java (de vereiste versies) ook geinstalleerd maar verder niet opgenomen in globale directives. Dat gaat goed. Inderdaad jammer dat ze nog geen ondersteuning bieden maar als er nu maar genoeg reacties komen moeten ze wel.
Wellicht hebben ze het een met het andere afgewogen en gekozen om niet een standaard te volgen ivm. een of ander streven naar veiligheid.

Het kan ook best zijn dat Linux zo en zo vinden wij niet veilig of het merendeel van onze klandizie gebruikt Windows ..
Schandalig hoeft het niet te zijn, jammer is het wel... Ik ben benieuwd naar de reden.
ik ben sceptisch over de beveiling van de nieuwe postbank site, maar over het kunnen gebruiken vind ik nieuwsbericht een beetje flauwekul.

Waarom?

Ik gebruik de Postbank Internetbankieren al bijna een jaar op mijn werk. Daar staat Mozilla 1.2.1 ofzo ... of nog een andere ancient versie geinstalleerd. Ik heb vroegah een crappy versie van Java gehad en heb dat ooit eens geupgrade naar JAVA 1.4.1, misschien dat dat nu de hele issue is?
Misschien dat het nodig is voor clientside acties, al heb je in Windows hetzelfde nodig. Dus kan iemand mij uitleggen waarom ik op Linux niet had kunnen Postbanken nu en 12 maanden terug?
In de nieuwste versie van JDK zit een fout/feature waardoor in combinatie met Mozilla 0x0 applets (zoals gebruikt door de postbank) niet werken.

http://bugzilla.mozilla.org/show_bug.cgi?id=233546

Met de enalaatste versie van JDK werkt het dus prima. Mozilla.org is bezig dit op te lossen.
Ik ben er vrij zeker van dat postbank iets veranderd heeft.
Een week geleden kwam ik er met exact dezelfde configuratie niet op (juiste java en mozilla browser zoals beschreven in artikel) en nu ineens wel.

Eerst kreeg ik de fout dat de browser onbekend was en ze hebben dus blijkbaar Mozilla/Linux nu toch toegestaan.

:Y) werkt dus goed hier nu onder linux.

Edit:
Fedora Core 1
Mozilla 1.4.1
Java 1.4.2_03-b02
Mee eens. Aan mijn PC is niets veranderd en nu werkt het plotseling wel.
Werk overigens gewoon met Windows maar dan wel met Mozilla.
Ik heb nog nooit problemen gehad met de postbank site onder linux en mozilla. Welke versie van de site dan ook.
Soms zijn er problemen met de java initialisatie maar da's eigenlijk zelden.

Helemaal W3C is het inderdaad niet, en dat zou wel moeten. Erg dom om je niet aan de standaarden te houden.. Maar ok.
mja, op zich kan ik ze begrijpen dat ze mensen met verouderde browsers als internet explorer willen ondersteunen, immers de meeste mensen updaten niet.
En daar zit dus ook het punt, aan de ene kant wil je via standaarden werken zodat bugjes sneller opgelost kunnen worden omdat je geen rare constructies nodig hebt, maar aan de andere kant weet je dat er nog veel IE5, IE5.5 browsers zijn (ik laat IE6 maar buiten beschouwing hoewel die ook oud is, maar het is iig de recentste versie naar mijn weten)
Conclusie, als het na de aanpassingen op de standaarden werkt op andere browsers is dat mooi meegenomen, en geloof me, zelfs na een standaard slackware installatie werkte het vlekkenloos :)
Dat is dus de reden dat ik overal waar ik een pc moet installeren, ik Mozilla Firefox installeer als standaard browser. Meestal hoor je de mensen wel effe zuchten omdat ze eraan moeten wennen, maar kheb er nog niet 1 horen klagen.

Als we dit met z'n allen beginnen doen... Alle beetjes helpen om die verderfelijke IE te verstoten van z'n troon :)

Zl.
...Mozilla 1.4.1, Epiphany of Galleon als browser...
Galeon is wel met 1 L, voor de duidelijkheid: http://galeon.sourceforge.net/
hoe zit dit eigenlijk met internetbankieren bij de rabobank?
Je krijgt een waarschuwing dat een en ander mogelijk niet correct kan werken omdat je een non-IE browser gebruikt o.i.d., maar ik kan er met Mozilla (en -Firefox) en Konqueror gewoon normaal gebruik van maken. ;)
No problemo, Firefox en gaan met die banaan ;)

Alleen Telebankieren van dezelfde Rabobank krijg ik buiten IE niet aan de praat. |:(
Iemand wel :?
Een goede zaak dat de Postbank de gebruikers serieus neemt, al had ik liever gezien dat ze dat bij de introductie doen. Ze maken waarschijnlijk gebruik van een niet standaard protocol vanwege veiligheid e.d.. Is niet erg, zolang het maar op verschillende platforms kan draaien.
Even voor de duidelijkheid: het is niet de Postbank die iets aangepast heeft ter verbetering of aangegeven heeft hoe je als Linux gebruiker wel van de dienst gebruik kan maken.
Ze nemen de Linus gebruikers nog net zo serieus als bij de introductie: niet, want het valt niet binnen de "grootse" groep.

Postbank maakt overigens gebruik van een Java applet waarmee een gebruiker moet inloggen voor de service. De applet versleuteld de login gegevens en zend ze dan nog eens over een https verbinding. Nogal dubbel dus.
wil niet lullig doen hoor. Maar https is niet 100% save.
ettercap onder linux bied de mogelijkheid om het te kraken, daarnaast heb je nog de middelman.
Dus vindt het wel slim van de postbank om het dubbel te doen

Ps. gto.postbank.nl heeft het bij mij altijd al gedaan.
denk dat de site van de postbank het ook moeilijk doet als je java of dat van ms uitzet
Ze nemen de Linus gebruikers nog net zo serieus als bij de introductie: niet, want het valt niet binnen de "grootse" groep.
Ik zou een bedrijf niet serieus nemen als ze iedere groep het naar de wens proberen te maken.
Postbank heeft gekozen voor Windows en Mac, klaar. Lijkt me prima, want als ze investeren in de linux gebruikers waarom dan niet dat OS van Sun, of het operating system van de buurman op de hoek dat hij zelf geschreven heeft? Je blijft altijd mensen houden die zeggen dat hij niet ondersteunt worden.

Ergens moet je een lijn trekken en ik denk dat ze bij de postbank hebben gekeken of het rendabel is of de site aanpassen genoeg klanten helpt, en waarschijnlijk dus niet en is het gewoon te duur.
Dat een bedrijf een lijn moet trekken: tuurlijk;
Dat ze dan kiezen voor ondersteuning van alleen Windows en Mac: kortzichtig;
Dat het te duur zou zijn om andere OSes te ondersteunen: dan hebben ze niet de juiste mensen in dienst genomen.

Er is een heel groot verschil tussen daadwerkelijk de grootste groep dienen en menen dat je de grootste groep dient met de ondersteuning van een merk browser. Een beetje ontwerper en bouwer kan voor het zelfde geld de website naar wens geheel naar de open standaarden bouwen, waarbij het dan behalve onder Win en Mac ook op de vele andere OSes en browsers bijna zeker werkt. Daar zijn die open standaarden ook voor gemaakt en daar voor worden ze ook in bijna iedere respectabele browsers geimplementeerd. Dat ze dan geen ondersteuning bieden in de vorm van hulp voor andere systemen is daarnaast dan nog te begrijpen. Maar dat is nog geen rede om dan ook maar alleen voor een bepaald merk te bouwen.
Het is meer een kwestie van niet door (willen) hebben dat er meer klanten zijn dan alleen de IE gebruikers en je je verantwoordlijkheid voor een goede dienstverlening niet via een merk moet spelen.
Als je als parkeerbeheer de verantwoordlijkheid hebt voor een goede service aan al je klanten dan laat je bij vernieuwing ook geen parkeergarage bouwen die speciaal geschikt is voor Smarts als daar 95% procent van automobilisten in blijkt te rijden. Dan kan de rest nergens meer parkeren en wijken ze uit naar plaatsen waar je ze niet wil hebben. Je bouwt dan gewoon volgens de normen zodat bijna iedere automobilist dan van de dienst gebruik kan maken. Hetzelfde is hier met de Postbank aan de hand: steeds meer "moet" je de zaken via het internet regelen omdat er vanalles in het werk gesteld wordt om het maar zo onaantrekkelijk mogelijk te maken naar een balie te hobbelen of gebruik te maken van papier werk. Maar nu wil de Postbank wel dat je er alleen met de meest gebruikte merk browser erop kan ipv de het meest voorkomende type browser: die aan de normen voldoet.
Recent onderzoek heeft aangegeven dat Desktop Linux een marktaandeel van 3.2 procent gaat halen in 2004 t.o.v. 1.8 procent van Apple.

Waarom investeert de Postbank wel tijd in een weinig gebruikte Mac oplossing en niet in een veel vaker gebruikte Linux oplossing?

Het zal er wel weer mee te maken hebben dat de volgende massa altijd als laatste zien waar de pioniers hen naar toe leiden.

Elk bedrijf dat nu al prettig met Linux om kan gaan heeft straks een streepje voor op de bedrijven die haastig nog wat Linuxsupport moeten flansen...
Postbank lijkt altijd wel met alles achter te lopen.Duurt ook altijd eeuwen om daar naartoe geld over te maken/ontvangen

Bij ABN-AMRO nooit een probleem gehad met internetbankieren onder Mozilla.
Ach, ze zijn wel de goedkoopste. Vooral voor zakelijk, daarbij zijn ze de enige die de eerste 1000 transacties per jaar helemaal gratis doen.

En maak je met girotel iets over, dan is het er gewoon de volgende dag. Bovendien heb je ook niet van die hulpattributen zoals calculators nodig.

Trouwens, degeen die (zakelijk) internetbankiert zal veelal Windows moeten draaien, als op diezelfde PC ook een boekhoudprogramma zoals Exact staat, dat is volgens mij ook nog niet voor Linux...
De Postbank was veruit de eerste met electronisch bankieren (Girotel) . De andere banken kwamen jaren daarna pas. Dat heeft de Postbank dus een remmende voorsprong gegeven. De anderen hebben zitten wachten tot alle problemen opgelost waren en stapten toen ook in.
Dat geld van en naar de Postbank traag overkomt, is de schuld van de andere banken. Die weigeren snel over te maken. Zij zijn de banken die geld verdienen door rentedagen in te voeren. De Postbank kent dat helemaal niet die maakt alles dezelfde dag over.
Hoe zit het trouwens met Opera onder Windows en Linux, heeft iemand dat al geprobeerd?
Zo ja...werkt het naadloos?
Ik heb het net even zelf geprobeerd met Opera...en het werkt dus naadloos.(mijnPostbank.nl)

Het enige dat me wel opvalt bij zowel, IE, Mozilla als Opera, is dat het erg traag is.
Ik heb een 4096 mbit verbindig, dus daar zal het waarschijnlijk niet aan liggen.
Ik ben bang dat de servers van mijnPostbank erg traag zijn, hetzij de fysieke servers, hetzij de database- of httpservers of ze hebben een te lage uploadspeed bij hun ISP...wat mij eigenlijk niet aannemelijk lijkt.
Ik heb een 4096 mbit verbindig
:o Waar kan ik die krijgen?? :o
off-topic]
Ik heb een 4096 mbit verbindig
Waar kan ik die krijgen??
Gewoon, bij je ISP. Zo niet, wordt het tijd om van ISP te veranderen...
\[/off-topic]
Woeii !!!!! 4096 mbit.. das een halve gig per seconde. :o Noem mij eens een isp die dat levert en wat dat gaat kosten per maand?
Bij demon kan je wel 2048/1024 en 8192/1024 krijgen.....

https://services.nl.demon.net/xdsl/express/index.html

respectievelijk 55 en 65 § per maand, en §75 aansluitkosten...
\[off-topic]
Ik heb een 4096 mbit verbindig
Waar kan ik die krijgen??

Gewoon, bij je ISP. Zo niet, wordt het tijd om van ISP te veranderen...
\[/off-topic]
Mensen, er is dus een verschil tussen mbit en kbit, en hij bedoelt waarschijnlijk de 2e...
De gegevens op Mijn postbank.nl worden zowat realtime geŁpdate. Dat maakt het systeem uiteraard een stuk trager bij gelijke hardware. :)

Overigens lijken er inderdaad geen problemen te zijn met Opera in het nieuwe systeem, hoewel het soms lijkt alsof ik niet op de menu-items links kan klikken. Zou op Javascripting-errors kunnen duiden, maar dat kan ik verder niet bevestigen.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True